### Enumeration

# Ggit DiffLineType

#### Declaration

    enum Ggit.DiffLineType

#### Description [src]

These values describe where a line came from and will be passed to the `GgitDiffLineCallback` when iterating over a diff.

The #GGIT_DIFF_LINE_FILE_HDR, #GGIT_DIFF_LINE_HUNK_HDR and

# GGIT_DIFF_LINE_BINARY values are only sent when the diff is being printed.

#### Members

Name | Description
--- | ---
`GGIT_DIFF_LINE_CONTEXT` | Line is part of the context.
`GGIT_DIFF_LINE_ADDITION` | Line that was added.
`GGIT_DIFF_LINE_DELETION` | Line that was removed.
`GGIT_DIFF_LINE_CONTEXT_EOFNL` | Both files have no LF at end.
`GGIT_DIFF_LINE_ADD_EOFNL` | LF was added at end of file.
`GGIT_DIFF_LINE_DEL_EOFNL` | LF was removed at end of file.
`GGIT_DIFF_LINE_FILE_HDR` | The file header.
`GGIT_DIFF_LINE_HUNK_HDR` | The hunk header.
`GGIT_DIFF_LINE_BINARY` | Is binary.